/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { __extends } from "tslib";
import { Description } from "./Description";
import { markType } from "./type";
/**
 * @hidden
 */
var ToolbarDescription = /** @class */ /*@__PURE__*/ (function (_super) {
    __extends(ToolbarDescription, _super);
    function ToolbarDescription() {
        var _this = _super.call(this) || this;
        _this.a5 = null;
        _this.bb = null;
        _this.j = null;
        _this.h = null;
        _this.i = null;
        _this.bq = null;
        _this.b0 = null;
        _this.a4 = null;
        _this.bt = null;
        _this.bd = null;
        _this.bs = null;
        _this.bl = null;
        _this.b1 = null;
        _this.bc = null;
        _this.bi = null;
        _this.b3 = null;
        _this.b2 = null;
        _this.ag = 0;
        _this.ah = 0;
        _this.bm = null;
        _this.bn = null;
        _this.a6 = null;
        _this.t = 0;
        _this.a7 = null;
        _this.a8 = null;
        _this.bw = null;
        _this.af = 0;
        _this.bx = null;
        _this.by = null;
        _this.be = null;
        _this.u = 0;
        _this.bf = null;
        _this.bg = null;
        _this.ac = 0;
        _this.ad = 0;
        _this.ae = 0;
        _this.ab = 0;
        _this.y = 0;
        _this.z = 0;
        _this.aa = 0;
        _this.x = 0;
        _this.n = false;
        _this.o = false;
        _this.ax = 0;
        _this.w = 0;
        _this.v = 0;
        _this.bk = null;
        _this.bo = null;
        _this.b4 = null;
        _this.a9 = null;
        _this.b5 = null;
        _this.ba = null;
        _this.az = 0;
        _this.bz = null;
        _this.bh = null;
        _this.ay = 0;
        _this.p = false;
        _this.br = null;
        _this.bp = null;
        _this.bv = null;
        _this.bu = null;
        _this.b6 = null;
        _this.bj = null;
        _this.a3 = null;
        return _this;
    }
    ToolbarDescription.prototype.get_type = function () {
        return "Toolbar";
    };
    Object.defineProperty(ToolbarDescription.prototype, "type", {
        get: function () {
            return this.get_type();
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "baseTheme", {
        get: function () {
            return this.a5;
        },
        set: function (a) {
            this.a5 = a;
            this.g("BaseTheme");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "density", {
        get: function () {
            return this.bb;
        },
        set: function (a) {
            this.bb = a;
            this.g("Density");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "autoGeneratedActions", {
        get: function () {
            return this.j;
        },
        set: function (a) {
            this.j = a;
            this.g("AutoGeneratedActions");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "actions", {
        get: function () {
            return this.h;
        },
        set: function (a) {
            this.h = a;
            this.g("Actions");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "actualActions", {
        get: function () {
            return this.i;
        },
        set: function (a) {
            this.i = a;
            this.g("ActualActions");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "orientation", {
        get: function () {
            return this.bq;
        },
        set: function (a) {
            this.bq = a;
            this.g("Orientation");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "targetRef", {
        get: function () {
            return this.b0;
        },
        set: function (a) {
            this.b0 = a;
            this.g("TargetRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "backgroundColor", {
        get: function () {
            return this.a4;
        },
        set: function (a) {
            this.a4 = a;
            this.g("BackgroundColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "submenuBackgroundColor", {
        get: function () {
            return this.bt;
        },
        set: function (a) {
            this.bt = a;
            this.g("SubmenuBackgroundColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "groupHeaderBackgroundColor", {
        get: function () {
            return this.bd;
        },
        set: function (a) {
            this.bd = a;
            this.g("GroupHeaderBackgroundColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "separatorBackgroundColor", {
        get: function () {
            return this.bs;
        },
        set: function (a) {
            this.bs = a;
            this.g("SeparatorBackgroundColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "hoverBackgroundColor", {
        get: function () {
            return this.bl;
        },
        set: function (a) {
            this.bl = a;
            this.g("HoverBackgroundColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "textColor", {
        get: function () {
            return this.b1;
        },
        set: function (a) {
            this.b1 = a;
            this.g("TextColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "disabledTextColor", {
        get: function () {
            return this.bc;
        },
        set: function (a) {
            this.bc = a;
            this.g("DisabledTextColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "groupHeaderTextColor", {
        get: function () {
            return this.bi;
        },
        set: function (a) {
            this.bi = a;
            this.g("GroupHeaderTextColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "toolTipTextColor", {
        get: function () {
            return this.b3;
        },
        set: function (a) {
            this.b3 = a;
            this.g("ToolTipTextColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "toolTipBackgroundColor", {
        get: function () {
            return this.b2;
        },
        set: function (a) {
            this.b2 = a;
            this.g("ToolTipBackgroundColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "toolTipCornerRadius", {
        get: function () {
            return this.ag;
        },
        set: function (a) {
            this.ag = a;
            this.g("ToolTipCornerRadius");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "toolTipElevation", {
        get: function () {
            return this.ah;
        },
        set: function (a) {
            this.ah = a;
            this.g("ToolTipElevation");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "iconFill", {
        get: function () {
            return this.bm;
        },
        set: function (a) {
            this.bm = a;
            this.g("IconFill");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "iconStroke", {
        get: function () {
            return this.bn;
        },
        set: function (a) {
            this.bn = a;
            this.g("IconStroke");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "cellFontFamily", {
        get: function () {
            return this.a6;
        },
        set: function (a) {
            this.a6 = a;
            this.g("CellFontFamily");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "cellFontSize", {
        get: function () {
            return this.t;
        },
        set: function (a) {
            this.t = a;
            this.g("CellFontSize");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "cellFontStyle", {
        get: function () {
            return this.a7;
        },
        set: function (a) {
            this.a7 = a;
            this.g("CellFontStyle");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "cellFontWeight", {
        get: function () {
            return this.a8;
        },
        set: function (a) {
            this.a8 = a;
            this.g("CellFontWeight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "subtitleFontFamily", {
        get: function () {
            return this.bw;
        },
        set: function (a) {
            this.bw = a;
            this.g("SubtitleFontFamily");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "subtitleFontSize", {
        get: function () {
            return this.af;
        },
        set: function (a) {
            this.af = a;
            this.g("SubtitleFontSize");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "subtitleFontStyle", {
        get: function () {
            return this.bx;
        },
        set: function (a) {
            this.bx = a;
            this.g("SubtitleFontStyle");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "subtitleFontWeight", {
        get: function () {
            return this.by;
        },
        set: function (a) {
            this.by = a;
            this.g("SubtitleFontWeight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "groupHeaderFontFamily", {
        get: function () {
            return this.be;
        },
        set: function (a) {
            this.be = a;
            this.g("GroupHeaderFontFamily");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "groupHeaderFontSize", {
        get: function () {
            return this.u;
        },
        set: function (a) {
            this.u = a;
            this.g("GroupHeaderFontSize");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "groupHeaderFontStyle", {
        get: function () {
            return this.bf;
        },
        set: function (a) {
            this.bf = a;
            this.g("GroupHeaderFontStyle");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "groupHeaderFontWeight", {
        get: function () {
            return this.bg;
        },
        set: function (a) {
            this.bg = a;
            this.g("GroupHeaderFontWeight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "separatorVerticalPaddingLeft", {
        get: function () {
            return this.ac;
        },
        set: function (a) {
            this.ac = a;
            this.g("SeparatorVerticalPaddingLeft");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "separatorVerticalPaddingRight", {
        get: function () {
            return this.ad;
        },
        set: function (a) {
            this.ad = a;
            this.g("SeparatorVerticalPaddingRight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "separatorVerticalPaddingTop", {
        get: function () {
            return this.ae;
        },
        set: function (a) {
            this.ae = a;
            this.g("SeparatorVerticalPaddingTop");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "separatorVerticalPaddingBottom", {
        get: function () {
            return this.ab;
        },
        set: function (a) {
            this.ab = a;
            this.g("SeparatorVerticalPaddingBottom");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "separatorHorizontalPaddingLeft", {
        get: function () {
            return this.y;
        },
        set: function (a) {
            this.y = a;
            this.g("SeparatorHorizontalPaddingLeft");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "separatorHorizontalPaddingRight", {
        get: function () {
            return this.z;
        },
        set: function (a) {
            this.z = a;
            this.g("SeparatorHorizontalPaddingRight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "separatorHorizontalPaddingTop", {
        get: function () {
            return this.aa;
        },
        set: function (a) {
            this.aa = a;
            this.g("SeparatorHorizontalPaddingTop");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "separatorHorizontalPaddingBottom", {
        get: function () {
            return this.x;
        },
        set: function (a) {
            this.x = a;
            this.g("SeparatorHorizontalPaddingBottom");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "showOnHover", {
        get: function () {
            return this.n;
        },
        set: function (a) {
            this.n = a;
            this.g("ShowOnHover");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "showTooltipOnHover", {
        get: function () {
            return this.o;
        },
        set: function (a) {
            this.o = a;
            this.g("ShowTooltipOnHover");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "dropdownClickBuffer", {
        get: function () {
            return this.ax;
        },
        set: function (a) {
            this.ax = a;
            this.g("DropdownClickBuffer");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "highlightWidth", {
        get: function () {
            return this.w;
        },
        set: function (a) {
            this.w = a;
            this.g("HighlightWidth");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "highlightRadius", {
        get: function () {
            return this.v;
        },
        set: function (a) {
            this.v = a;
            this.g("HighlightRadius");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "highlightColor", {
        get: function () {
            return this.bk;
        },
        set: function (a) {
            this.bk = a;
            this.g("HighlightColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "menuArrowStroke", {
        get: function () {
            return this.bo;
        },
        set: function (a) {
            this.bo = a;
            this.g("MenuArrowStroke");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "uncheckedBackgroundColor", {
        get: function () {
            return this.b4;
        },
        set: function (a) {
            this.b4 = a;
            this.g("UncheckedBackgroundColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "checkedBackgroundColor", {
        get: function () {
            return this.a9;
        },
        set: function (a) {
            this.a9 = a;
            this.g("CheckedBackgroundColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "uncheckedBorderColor", {
        get: function () {
            return this.b5;
        },
        set: function (a) {
            this.b5 = a;
            this.g("UncheckedBorderColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "checkedBorderColor", {
        get: function () {
            return this.ba;
        },
        set: function (a) {
            this.ba = a;
            this.g("CheckedBorderColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "rowHeight", {
        get: function () {
            return this.az;
        },
        set: function (a) {
            this.az = a;
            this.g("RowHeight");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "subtitleTextColor", {
        get: function () {
            return this.bz;
        },
        set: function (a) {
            this.bz = a;
            this.g("SubtitleTextColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "groupHeaderSubtitleTextColor", {
        get: function () {
            return this.bh;
        },
        set: function (a) {
            this.bh = a;
            this.g("GroupHeaderSubtitleTextColor");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "dropdownDelay", {
        get: function () {
            return this.ay;
        },
        set: function (a) {
            this.ay = a;
            this.g("DropdownDelay");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "stopPropagation", {
        get: function () {
            return this.p;
        },
        set: function (a) {
            this.p = a;
            this.g("StopPropagation");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "scrollbarStyle", {
        get: function () {
            return this.br;
        },
        set: function (a) {
            this.br = a;
            this.g("ScrollbarStyle");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "onCommandRef", {
        get: function () {
            return this.bp;
        },
        set: function (a) {
            this.bp = a;
            this.g("OnCommandRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "subMenuOpeningRef", {
        get: function () {
            return this.bv;
        },
        set: function (a) {
            this.bv = a;
            this.g("SubMenuOpeningRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "subMenuClosingRef", {
        get: function () {
            return this.bu;
        },
        set: function (a) {
            this.bu = a;
            this.g("SubMenuClosingRef");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "width", {
        get: function () {
            return this.b6;
        },
        set: function (a) {
            this.b6 = a;
            this.g("Width");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "height", {
        get: function () {
            return this.bj;
        },
        set: function (a) {
            this.bj = a;
            this.g("Height");
        },
        enumerable: false,
        configurable: true
    });
    Object.defineProperty(ToolbarDescription.prototype, "background", {
        get: function () {
            return this.a3;
        },
        set: function (a) {
            this.a3 = a;
            this.g("Background");
        },
        enumerable: false,
        configurable: true
    });
    ToolbarDescription.$t = markType(ToolbarDescription, 'ToolbarDescription', Description.$);
    return ToolbarDescription;
}(Description));
export { ToolbarDescription };
